RSM Phase Il - Feature #339

RSM Il - TM Report - Leave #newreport
05/24/2021 05:27 PM - Anonymous

Status: Closed Start date: 05/20/2021
Priority: High Due date:

Assignee: Saswanto Tampan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,
mohon bantuannya untuk pembuatan report, sesuai design terlampir(Explanation included)
dan Filter by..

1. Period From dan To

2. AbsenceType

3. Level < seperti report Attendance ,RPTATTRSM

4. LOB < seperti report Attendance ,RPTATTRSM

5. Div < seperti report Attendance ,RPTATTRSM

selama progress, mungkin ada perubahan, akan dikabari segera..

kindly ask jika ada yang ingin ditanyakan

History

#1 - 05/24/2021 05:34 PM - Anonymous

Pengerjaan pada,
Port Cloud rsm.minovais.com:62114
akun rsmaaj04.testing04@rsm.id pass Langit_Biru1011

#2 - 05/27/2021 03:52 PM - Anonymous

- Tracker changed from Support to Feature

#3 - 06/02/2021 03:18 PM - Saswanto Tampan
- Status changed from New to Assigned

- Assignee changed from Saswanto Tampan to Ade Sofiarani

#4 - 06/03/2021 10:37 AM - Anonymous

- File Leave Report v2.xIsx added

dear mba ade,

as ur req..

filter sudah dinote di awal y..

untuk menulD TMRLVRSM report ID RPTLVRSM

*mekanisme filter..

period Mandatory, selection lain allow kosong, apabila kosong semua maka tampilkan all result*
file update terlampir

#5 - 06/03/2021 10:38 AM - Anonymous
- File deleted (Leave Report v2.xIsx)
#6 - 06/07/2021 02:50 PM - Ade Sofiarani

- Status changed from Assigned to Developing

#7 - 06/07/2021 02:50 PM - Ade Sofiarani
- Status changed from Developing to QA Test

- Assignee changed from Ade Sofiarani to Anonymous

#8 - 06/07/2021 04:16 PM - Anonymous
- File Leave_Report.png added
- Status changed from QA Test to Revise

- Assignee changed from Anonymous to Ade Sofiarani

Dear Mba Ade,

Pls bantuannya untuk Revise,

Result Leave report masih belum sesuai, hanya data dari PA17 yang keluar,
Data Cuti dari PA18 dari period yang terselect masih belum keluar (kosong)

contoh data yang dapat digunakan EMP 00000038, terdapat data cuti dari PA08 periode satu bulan(Maret)

#9 - 06/07/2021 05:51 PM - Ade Sofiarani
- Status changed from Revise to QA Test

- Assignee changed from Ade Sofiarani to Anonymous

#10 - 06/07/2021 06:33 PM - Anonymous
- Status changed from QA Test to Revise

- Assignee changed from Anonymous to Ade Sofiarani

Dear Developer tims,

punten revise untuk slight Issue,

Result Data Cuti dari PA018 tidak sesuai periode yang diselect, jika
e Filter only by Level
¢ Filter only by LOB
e Filter onlu by LOB, Level

Result sudah sesuai, jika filter only/dengan AbsenceType..

#11 - 06/08/2021 01:56 AM - Saswanto Tampan

- Status changed from Revise to QA Test

- Assignee changed from Ade Sofiarani to Anonymous

sudah di tambahkan filter

where Start Leave between @PeriodFrom and @PeriodTo
or End Leave between @PeriodFrom and @PeriodTo

#12 - 06/08/2021 10:42 AM - Anonymous
- File report cuti.png added

- File cuti2.png added

- Status changed from QA Test to Revise

- Assignee changed from Anonymous to Ade Sofiarani

Teruntuk Developer..

So Far result dari hasil selection, satu select dan yang lainnya sudah ok, namun..
punten revise untuk beberapa temuan,

® Result report hanya menampilkan Data Cuti yang Quota Deduction Y
¢ Result report Periode Quota cuti (PA17) tampil seperti date data cuti (PA18)

#13 - 06/08/2021 10:59 AM - Ade Sofiarani

- Assignee changed from Ade Sofiarani to Saswanto Tampan

#14 - 06/10/2021 03:51 PM - Anonymous

- Assignee changed from Saswanto Tampan to Alip Sudin

#15 - 06/11/2021 02:50 PM - Anonymous

- Status changed from Revise to QA Test

#16 - 06/11/2021 02:50 PM - Anonymous

- Assignee changed from Alip Sudin to Anonymous

#17 - 06/14/2021 10:21 AM - Anonymous
- Status changed from QA Test to Closed

#18 - 06/14/2021 10:36 AM - Anonymous
Done Tested and Closed, OK to Deploy !!

#19 - 06/14/2021 05:55 PM - Anonymous

- Assignee changed from Anonymous to Saswanto Tampan

#20 - 06/14/2021 05:55 PM - Anonymous

- Status changed from Closed to Revise

#21 - 06/14/2021 05:58 PM - Anonymous

Revise,

Mohon tim Dev untuk tambahkan Colomn CreateDate pada result Report..

Check From PA18 to get > StartDate, EnDate, AbsenceType, TotalAbsence Taken

Then Compare with PCMWFRUNBIZDATA to get > StartDate, EnDate, AbsenceType, TotalAbsence Taken < if get same result > get RegID
Then go to PCMWFRUNMAIN to get > CreateDate and EmpIDCreate

#22 - 06/15/2021 06:29 PM - Anonymous

- Status changed from Revise to Closed

Done Tested and Closed, OK to Deploy !!

#23 - 06/16/2021 04:07 PM - Anonymous
- File CPRPTTMCUTIPERIOD.xIs added

- Status changed from Closed to Revise

dear mas developer,

punteenn atuhh...

minta bantuannya untuk tambahan kolom as feedback from user..
(design terlampir)

ReportlD RPTLVRSM

MenulD TMRLVRSM

RDL CPRPTTMCUTIPERIOD

Pengerjaan pada,

Port Cloud rsm.minovais.com:62114
akun rsmaaj04.testing04@rsm.id pass Langit_Biru1011
#24 - 06/28/2021 10:03 AM - Anonymous

- Status changed from Revise to Closed
